class UserSessionsController < ApplicationController

  def allows_to?(action)
    allows_to = case(action)
    when "new", "create" then !current_user
    when "destroy", "change_user" then current_user.has_role?("logged")
    else false
    end
    return(allows_to)
  end

  def new
    @user_session = UserSession.new
    @back_url = params[:back_url]
  end
  
  def create
    @user_session = UserSession.new(params[:user_session])
    if @user_session.save
      redirect_to(params[:back_url] ? params[:back_url] : root_url,
                  :notice => t(:notice_user_session_created))
    else
      render(:action => :new)
    end
  end
  
  def destroy
    @user_session = UserSession.find
    @user_session.destroy if @user_session
    redirect_to(login_url, :notice => t(:notice_user_session_destroyed))
  end

  def change_user
    @user_session = UserSession.new(params[:user_session])
    if @user_session.save
      notice = nil
    else
      notice = t(:error_invalid_candidate_credentials)
    end
    redirect_to(params[:back_url] ? params[:back_url] : root_url, :notice => notice)
  end
  
end
