module CategoriesHelper

  def options_for_categories(options = {})
    text = ""
    categories = options[:categories] ? options[:categories] : Category.find_all_by_parent_id(nil)
    labels = options[:labels] || []
    selected = options[:selected]
    level = options[:level] ? options[:level] : 0
    excluded_categories = options[:excluded_categories] || []
    show_questions_count = options[:show_question_count] ? options[:show_question_count] : true
    tabs = ""
    level.times do
      tabs += "&raquo; "
    end
    labels.each do |label|
       text += "<option value=\"0\">#{tabs}#{t(label)}</option>\n"
    end
    categories.each do |category|
      unless excluded_categories.include?(category.id)
        text += "<option value=\"#{category.id}\"#{selected == category.id ? " selected" : ""}>#{tabs}#{category.name}#{show_questions_count ? " (#{category.questions.length})" : ""}</option>\n"
        text += options_for_categories(:categories => Category.find_all_by_parent_id(category.id),
                                       :selected => selected,
                                       :level => level + 1,
                                       :excluded_categories => excluded_categories)
      end
    end
    return(raw(text))
  end

end
