class Choice < ActiveRecord::Base

  acts_as_list :scope => :question
  belongs_to :question
  validates_presence_of :text

  def is_correct?
    return(is_correct)
  end

  def changes_since(previous, key_prefix)
    details = []
    (Choice.column_names - ["id", "question_id", "position", "created_at", "updated_at"]).each do |column|
      old_value = previous.send(column)
      new_value = send(column)
      if ((old_value != new_value) and ((!(old_value.blank?)) or (!(new_value.blank?))))
        details << JournalDetail.new(:key => key_prefix + column, :old_value => old_value, :new_value => new_value)
      end
    end
    return(details)
  end

end
