class Exam < ActiveRecord::Base
  
  belongs_to :examiner, :class_name => "User"
  has_many :answers, :dependent => :destroy
  has_many :questions, :through => :answers

  def categories
    categories = {}
    answers.each do |answer|
      category_id = answer.question.category_id
      if categories[category_id].nil?
        categories[category_id] = {:category => answer.question.category,
                                   :answers => [],
                                   :ok => 0,
                                   :ko => 0,
                                   :empty => 0,
                                   :result => 0.0,
                                   :total => 0.0}
      end
      categories[category_id][:answers] << answer
      if answer.choice.nil?
        categories[category_id][:empty] += 1
        categories[category_id][:result] += factor_empty
      elsif answer.is_correct?
        categories[category_id][:ok] += 1
        categories[category_id][:result] += factor_ok
      else
        categories[category_id][:ko] += 1
        categories[category_id][:result] += factor_ko
      end
      categories[category_id][:total] += factor_ok
    end
    return(categories)
  end

end
