class CreateJournals < ActiveRecord::Migration
  def self.up
    create_table :journals do |t|
      t.integer :journalized_id, :null => false
      t.string :journalized_type, :limit => 30, :null => false
      t.integer :user_id, :null => false
      t.datetime :created_at, :null => false
    end

    add_index :journals, :journalized_id
    add_index :journals, [:journalized_id, :journalized_type]
    add_index :journals, :user_id
    add_index :journals, :created_at
  end

  def self.down
    drop_table :journals
  end
end
